Foreman - Bug #2398

Loading free ip address in Ruby 1.9.3
04/12/2013 06:54 AM - Ivan Necas

Status: Closed
Priority: Normal
Assignee:

Category: Proxy gateway
Target version: 1.2.0
Difficulty:

Triaged:

Bugzilla link:

Pull request:

Fixed in Releases:

Found in Releases:

Red Hat JIRA:

Description
In Ruby 1.8.7:

{}to_s#=>"

In Ruby 1.9.3

{}.to_s#=>"{}"

This causes the url for smart proxy to be broken.

https://github.com/theforeman/foreman/pull/518

Associated revisions

Revision eece6868 - 04/14/2013 05:33 AM - lvan Necas
fixes #2398 - fix ruby 1.9 issue when loading free ip, causing {} in URL

History

#1 - 04/12/2013 07:23 AM - Dominic Cleal
- Project changed from Foreman to Smart Proxy

- Status changed from New to Ready For Testing

#2 - 04/12/2013 07:23 AM - Dominic Cleal

- Project changed from Smart Proxy to Foreman

#3 - 04/12/2013 12:20 PM - Dominic Cleal
- Category set to Proxy gateway

- Target version set to 1.2.0

https://github.com/theforeman/foreman/pull/519

#4 - 04/15/2013 03:20 AM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset eece68684{2680d6bb336b24af454acdcf2a3e68.

05/17/2024

1/1



https://github.com/theforeman/foreman/pull/518
https://github.com/theforeman/foreman/pull/519
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/eece68684f2680d6bb336b24af454acdcf2a3e68
http://www.tcpdf.org

